NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.SketchAlongPathBuilder Class Reference

Use the NXOpen.SketchAlongPathBuilder to create or reattach a NXOpen.Sketch along a path. More...

Inheritance diagram for NXOpen.SketchAlongPathBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  PlaneOrientationType { NormalToPath, NormalToVector, ParallelToVector, ThroughAxis }
 Indicates the orientation of the plane More...
 
enum  SketchOrientationType { Automatic, RelativeToFace, UseCurveParameters }
 Indicates the sketch orientation method. More...
 

Properties

unsafe NXOpen.SelectIReferenceAxis Axis [get]
 Returns the horizontal reference More...
 
unsafe double NextThroughPointSolution [get]
 Returns the parameter indicating the location of the next solution More...
 
unsafe NXOpen.ScCollector OrientingFace [get]
 Returns the orienting faces to evaluate X and Y axis of sketch if NXOpen.SketchAlongPathBuilder.SketchOrientationType is NXOpen.SketchAlongPathBuilder.SketchOrientationType.RelativeToFace . More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
PlaneLocation [get]
 Returns the plane location More...
 
unsafe
NXOpen.SketchAlongPathBuilder.PlaneOrientationType 
PlaneOrientation [get, set]
 Returns or sets the plane orientation type More...
 
unsafe NXOpen.Direction PlaneOrientationAxis [get, set]
 Returns or sets the plane orientation axis for one of the types of "Normal to Vector", "Parallel to Vector" and "Through Axis" More...
 
unsafe bool ReverseAxis [get, set]
 Returns or sets the flag to indicate the horizontal reference axis is reversed More...
 
unsafe bool ReversePlaneNormal [get, set]
 Returns or sets the flag to indicate the plane normal is reversed More...
 
unsafe NXOpen.Section Section [get]
 Returns the path More...
 
unsafe bool ShowAllDatumAxes [get, set]
 Returns or sets the flag to create all datum axes for path having shared edge. More...
 
unsafe
NXOpen.SketchAlongPathBuilder.SketchOrientationType 
SketchOrient [get, set]
 Returns or sets the sketch orientation method as NXOpen.SketchAlongPathBuilder.SketchOrientationType More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Use the NXOpen.SketchAlongPathBuilder to create or reattach a NXOpen.Sketch along a path.

To create a new instance of this class, use NXOpen.SketchCollection.CreateSketchAlongPathBuilder

Default values.

Property Value

ShowAllDatumAxes

True

SketchOrient

Automatic

Created in NX5.0.0

Member Enumeration Documentation

Indicates the orientation of the plane

Enumerator
NormalToPath 

Normal to Path

NormalToVector 

Normal to Vector

ParallelToVector 

Parallel to Vector

ThroughAxis 

Through Axis

Indicates the sketch orientation method.

For the sketch orientation type is 'Automatic': two set of * datum axes are created if the path contains a shared edge, one set of each face. For laminar edge * one set of datum axes is created. If the path contains only wireframe the two set of axes are created. * For the sketch orientation type is 'Relative to face': one set of datum axes is craeted using the orienting faces * For the sketch orientation type is 'Use curve parameter': one set of datum axes is created using the the curve parameter

Enumerator
Automatic 

Automatic

RelativeToFace 

Relative to face

UseCurveParameters 

Based on curve parameter

Property Documentation

unsafe NXOpen.SelectIReferenceAxis NXOpen.SketchAlongPathBuilder.Axis
get

Returns the horizontal reference

Created in NX5.0.0

License requirements: None.

unsafe double NXOpen.SketchAlongPathBuilder.NextThroughPointSolution
get

Returns the parameter indicating the location of the next solution

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.SketchAlongPathBuilder.OrientingFace
get

Returns the orienting faces to evaluate X and Y axis of sketch if NXOpen.SketchAlongPathBuilder.SketchOrientationType is NXOpen.SketchAlongPathBuilder.SketchOrientationType.RelativeToFace .

The datum axes are evaluated as tangent and normal of the orienting face.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.SketchAlongPathBuilder.PlaneLocation
get

Returns the plane location

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SketchAlongPathBuilder.PlaneOrientationType NXOpen.SketchAlongPathBuilder.PlaneOrientation
getset

Returns or sets the plane orientation type

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.Direction NXOpen.SketchAlongPathBuilder.PlaneOrientationAxis
getset

Returns or sets the plane orientation axis for one of the types of "Normal to Vector", "Parallel to Vector" and "Through Axis"

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchAlongPathBuilder.ReverseAxis
getset

Returns or sets the flag to indicate the horizontal reference axis is reversed

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchAlongPathBuilder.ReversePlaneNormal
getset

Returns or sets the flag to indicate the plane normal is reversed

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.Section NXOpen.SketchAlongPathBuilder.Section
get

Returns the path

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.SketchAlongPathBuilder.ShowAllDatumAxes
getset

Returns or sets the flag to create all datum axes for path having shared edge.

This option is applicable only when NXOpen.SketchAlongPathBuilder.SketchOrientationType is NXOpen.SketchAlongPathBuilder.SketchOrientationType.RelativeToFace

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.SketchAlongPathBuilder.SketchOrientationType NXOpen.SketchAlongPathBuilder.SketchOrient
getset

Returns or sets the sketch orientation method as NXOpen.SketchAlongPathBuilder.SketchOrientationType

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.